Subject: bug#52179: Highlighting a word in `ispell' using `enchant'

From: Tor Kringeland <[email-masked]>
Date: Mon, 29 Nov 2021 15:44:39 +0100

Using `ispell' with `enchant' on macOS yields the following problem.  If
a word contains some non-ASCII character, said character will not be
considered part of the word and will split it (like a digit would).  For
example in "naïve" both "na" and "ve" are considered two words.  This
does not happen if I use `aspell' instead of `enchant', and if I run

  echo -n "naïve" | enchant-2 -a

it registers that this is one word, and that it is valid (using an
English dictionary).

I'm using Enchant version 2.3.1 and an Emacs 29 build from 24 November
on macOS Catalina.